<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	int numSelected = Values.getInt(request.getParameter("numSelected"));
	int numDoNotUse = Values.getInt(request.getParameter("numDoNotUse"));
%>
<base:page type="popup" title="Create Pilot report ZIP file">
<base:head 
	scripts="~make-zip.js,~../reggie-2.js"
	styles="~../css/reggie-2.css"
/>
<base:body>
	<h1>Create Pilot report ZIP file for <%=numSelected%> reports</h1>

	<form name="options" id="wizard" class="wizard">
	<div class="content bottomborder">
	
		<table class="fullform input100">
		<tr>
			<th>Password</th>
			<td>
				<input class="text auto-init" data-auto-init="focus" 
					type="text" name="password" id="password" maxlength="20">
			</td>
		</tr>
		<tr>
			<th class="subprompt"></th>
			<td>
				<i>If empty, the ZIP file is not password protected.</i>
				<div id="wizard-status"></div>
			</td>
		</tr>
		<tr>
			<th>Completed date</th>
			<td>
				<input type="text" name="completedDate" id="completedDate" style="width: 12em;" maxlength="10"
					title="Enter completed date in YYYYMMDD format">
					<base:icon 
						id="completedDateCalendar"
						subclass="auto-init"
						data-auto-init="calendar"
						data-textarea-id="completedDate"
						data-date-format="yyyyMMdd"
						data-title="Completed date"
						image="calendar.png" 
						tooltip="Select a date from a calendar" 
						tabindex="-1"
					/>
			</td>
		</tr>
		<tr>
			<th class="subprompt"></th>
			<td>
				<i>If empty, the specimen are not marked as completed.</i>
			</td>
		</tr>
		<%
		if (numDoNotUse > 0)
		{
			%>
			<tr>
				<th>DoNotUse</th>
				<td><label><input type="checkbox" name="acceptDoNotUse" id="acceptDoNotUse">Accept DoNotUse items</label></td>
			</tr>
			<%
		}
		%>
		<tr class="dynamic">
			<th class="subprompt"></th>
			<td>
				<%
				if (numDoNotUse > 0)
				{
					%>
					<div class="messagecontainer note">
						There are <%=numDoNotUse%> items marked as DoNotUse. Please verify the publication of the report for those items.
					</div>
					<%
				}
				%>
			</td>
		</tr>
		</table>
	
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnOk" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>